package com.sundot.airport.exam.logic.eighteen.model.result;

import java.util.List;

/**
 * <b>功能名：</b>ExamGetResult<br>
 * <b>说明：</b> 考试信息返回结果 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-30 liangxiao
 */
public class ExamGetResult {

    /**
     * 考试记录表业务主键
     */
    private String erId;

    /**
     * 考试表业务主键
     */
    private String exId;

    /**
     * 考试名称
     */
    private String exName;

    /**
     * 背景图片资源
     */
    private String exBgImg;

    /**
     * 详情介绍图片资源
     */
    private String exDetailImg;

    /**
     * 考试时间，0表示不限制（单位：秒）
     */
    private Integer exExamTime;

    /**
     * 考试次数，0表示不限制
     */
    private Integer exExamCount;

    /**
     * 试卷总分
     */
    private String totalScore;

    /**
     * 题目列表
     */
    private List<ExamQuestionResult> question;

    /**
     * 考试后是否可见答案
     */
    private Boolean exEnableAns;

    /**
     * 试卷表业务主键
     */
    private String tpId;

    @Override
    public String toString() {
        return "ExamGetResult{" +
                "erId='" + erId + '\'' +
                ", exId='" + exId + '\'' +
                ", exName='" + exName + '\'' +
                ", exBgImg='" + exBgImg + '\'' +
                ", exDetailImg='" + exDetailImg + '\'' +
                ", exExamTime=" + exExamTime +
                ", exExamCount=" + exExamCount +
                ", totalScore='" + totalScore + '\'' +
                ", question=" + question +
                ", exEnableAns=" + exEnableAns +
                ", tpId='" + tpId + '\'' +
                '}';
    }

    public String getErId() {
        return erId;
    }

    public void setErId(String erId) {
        this.erId = erId;
    }

    public String getExId() {
        return exId;
    }

    public void setExId(String exId) {
        this.exId = exId;
    }

    public String getExName() {
        return exName;
    }

    public void setExName(String exName) {
        this.exName = exName;
    }

    public String getExBgImg() {
        return exBgImg;
    }

    public void setExBgImg(String exBgImg) {
        this.exBgImg = exBgImg;
    }

    public String getExDetailImg() {
        return exDetailImg;
    }

    public void setExDetailImg(String exDetailImg) {
        this.exDetailImg = exDetailImg;
    }

    public Integer getExExamTime() {
        return exExamTime;
    }

    public void setExExamTime(Integer exExamTime) {
        this.exExamTime = exExamTime;
    }

    public Integer getExExamCount() {
        return exExamCount;
    }

    public void setExExamCount(Integer exExamCount) {
        this.exExamCount = exExamCount;
    }

    public String getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(String totalScore) {
        this.totalScore = totalScore;
    }

    public List<ExamQuestionResult> getQuestion() {
        return question;
    }

    public void setQuestion(List<ExamQuestionResult> question) {
        this.question = question;
    }

    public Boolean getExEnableAns() {
        return exEnableAns;
    }

    public void setExEnableAns(Boolean exEnableAns) {
        this.exEnableAns = exEnableAns;
    }

    public String getTpId() {
        return tpId;
    }

    public void setTpId(String tpId) {
        this.tpId = tpId;
    }
}
